classification
Title: In unittest doc, replace Hudson CI with Travis and Appveyor
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.10
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: DmytroLitvinov, docs@python, gvanrossum, miss-islington, terry.reedy
Priority: normal Keywords: patch

Created on 2020-07-17 20:28 by DmytroLitvinov, last changed 2020-07-28 15:06 by DmytroLitvinov. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 21653 merged DmytroLitvinov, 2020-07-28 05:33
PR 21659 merged miss-islington, 2020-07-28 14:49
PR 21660 merged miss-islington, 2020-07-28 14:49
Messages (9)
msg373852 - (view) Author: Dmytro Litvinov (DmytroLitvinov) * Date: 2020-07-17 20:28
In the documentation (https://docs.python.org/3.8/library/unittest.html) there is a mention of Hudson(http://hudson-ci.org/) as continuous integration system for tests. According to wikipedia(https://en.wikipedia.org/wiki/Hudson_(software)), Hudson "Having been replaced by Jenkins, Hudson is no longer maintained[9][10] and was announced as obsolete in February 2017.[11]" 

My recommendation for that is to change the mention of "Hudson" to "Jenkins".

I am ready to prepare PR for that change.
msg374198 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-07-24 18:24
Why not add Travis-CI and AppVeyor?
msg374230 - (view) Author: Terry J. Reedy (terry.reedy) * (Python committer) Date: 2020-07-25 03:47
After reading the Wikipedia article, I agree with removing Hudson.

The text is the same in the master branch (future 3.10), so make a PR against master.  We will backport to 3.9 and 3.8 from there. 

Jenkins is already mentioned. So replace 'or Hudson' with 'Travis-CI, or AppVeyor', each linked to its home page as the others are.  Please sign the Contributor Agreement *before* submitting a PR.
https://www.python.org/psf/contrib/
msg374465 - (view) Author: Dmytro Litvinov (DmytroLitvinov) * Date: 2020-07-28 05:41
Hi Terry,

Seems like link to Academic Free License v. 2.1(https://www.python.org/psf/contrib/) does not work. That link is mentioned at https://www.python.org/psf/contrib/ that you gave me.

Also, I have signed CLA before submitting PR as you wrote. From CLA bot at GitHub I see that I need to wait at least one business day. Should I wait for approval and then I could ping you one more time for reviewing patch?
msg374494 - (view) Author: miss-islington (miss-islington) Date: 2020-07-28 14:48
New changeset 5e3826785dcc64f8e1a8a7bde11b88fbb40943be by Dmytro Litvinov in branch 'master':
bpo-41328: Replace mention of Hudson CI with Travis CI and AppVeyor (GH-21653)
https://github.com/python/cpython/commit/5e3826785dcc64f8e1a8a7bde11b88fbb40943be
msg374495 - (view) Author: Guido van Rossum (gvanrossum) * (Python committer) Date: 2020-07-28 14:51
Can you file a separate bug report for the license link? We may need to review that with the lawyer, to see if we can use AFL 3.0, since AFL 2.1 seems obsolete.
msg374498 - (view) Author: miss-islington (miss-islington) Date: 2020-07-28 14:56
New changeset e31b8a5cd13ca529e59c1e05d4524ae750a5b5a0 by Miss Islington (bot) in branch '3.9':
bpo-41328: Replace mention of Hudson CI with Travis CI and AppVeyor (GH-21653)
https://github.com/python/cpython/commit/e31b8a5cd13ca529e59c1e05d4524ae750a5b5a0
msg374499 - (view) Author: miss-islington (miss-islington) Date: 2020-07-28 14:57
New changeset 59cfba326801a1fd809836c16887f53765f9680f by Miss Islington (bot) in branch '3.8':
bpo-41328: Replace mention of Hudson CI with Travis CI and AppVeyor (GH-21653)
https://github.com/python/cpython/commit/59cfba326801a1fd809836c16887f53765f9680f
msg374502 - (view) Author: Dmytro Litvinov (DmytroLitvinov) * Date: 2020-07-28 15:06
Done: https://bugs.python.org/issue41420
History
Date User Action Args
2020-07-28 15:06:34DmytroLitvinovsetmessages: + msg374502
2020-07-28 14:57:15miss-islingtonsetmessages: + msg374499
2020-07-28 14:56:23miss-islingtonsetmessages: + msg374498
2020-07-28 14:52:09gvanrossumsetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2020-07-28 14:51:55gvanrossumsetmessages: + msg374495
2020-07-28 14:49:17miss-islingtonsetpull_requests: + pull_request20806
2020-07-28 14:49:10miss-islingtonsetpull_requests: + pull_request20805
2020-07-28 14:48:39miss-islingtonsetnosy: + miss-islington
messages: + msg374494
2020-07-28 05:41:27DmytroLitvinovsetmessages: + msg374465
2020-07-28 05:33:28DmytroLitvinovsetkeywords: + patch
stage: needs patch -> patch review
pull_requests: + pull_request20794
2020-07-25 03:48:12terry.reedysettitle: Hudson CI is not available anymore -> In unittest doc, replace Hudson CI with Travis and Appveyor
2020-07-25 03:47:20terry.reedysetversions: + Python 3.10
nosy: + terry.reedy

messages: + msg374230

type: enhancement -> behavior
stage: needs patch
2020-07-24 18:24:34gvanrossumsetnosy: + gvanrossum
messages: + msg374198
2020-07-17 20:28:36DmytroLitvinovcreate